<?php

namespace Drupal\syncart\Form;

use Drupal\Core\Form\ConfigFormBase;
use Drupal\Core\Form\FormStateInterface;

/**
 * Implements the form controller.
 */
class Settings extends ConfigFormBase {
  /**
   * AJAX Wrapper.
   *
   * @var wrapper
   */

  /**
   * {@inheritdoc}
   */
  public function getFormId() {
    return 'syncart';
  }

  /**
   * {@inheritdoc}
   */
  protected function getEditableConfigNames() {
    return ['syncart.settings'];
  }

  /**
   * {@inheritdoc}
   */
  public function buildForm(array $form, FormStateInterface $form_state) {
    $config = $this->config('syncart.settings');
    $form['registration'] = [
      '#title' => $this->t('User registration'),
      '#description' => '',
      '#type' => 'checkbox',
      '#maxlength' => 20,
      '#required' => FALSE,
      '#size' => 15,
      '#default_value' => $config->get('registration'),
    ];
    return parent::buildForm($form, $form_state);
  }

  /**
   * Implements a form submit handler.
   */
  public function submitForm(array &$form, FormStateInterface $form_state) {
    $config = $this->config('syncart.settings');
    $cart = \Drupal::service('syncart.cart');
    $cart->updateUserRegister($form_state->getValue('registration'));
    $config
      ->set('registration', $form_state->getValue('registration'))
      ->save();
  }

}
